Create a verifier root CA certificate
Creates a verifier root CA certificate to be used as part of mDocs online verification workflows.
- A maximum of three Verifier root CA certificates can be created per tenant.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>Verifier root CA certificate payload
application/json- body
Request payload for managed verifier root CA certificate
commonName?stringUsed to define the common name of the created verifier root CA certificate. Used to establish trust with the verifier by wallets that implement certificate-based trust.
- When provided, the value must be a valid
PrintableStringand cannot be an empty string. - If not provided and a custom domain is configured and verified, the custom domain is used followed by the word
Verifier. - If no custom domain is configured, the tenant subdomain is used instead.
"{tenantDomain} Verifier"country?stringIndicates the verifier's country. If not provided, a country is selected based on the region of the tenant subdomain cloud host. When specified, the value must be a valid Alpha 2 country code as per ISO 3166-1.
notBefore?stringUsed to set the date and time when the Verifier root CA certificate becomes valid and can be used to sign other intermediate certificates.
- Must not be in the past.
- Must be before
notAfter.
date-timenotAfter?stringUsed to set the date and time when the Verifier root CA certificate expires.
- If not provided, calculated as
notBefore+ 20 years. - If not provided and
notBeforeis not provided, calculated as time of creation + 20 years. - Maximum value is 20 years from creation.
- Must be after
notBefore, if provided.
date-timeVerifier root CA certificate created
application/json- response
Response payload for verifier root CA certificate
id?stringUnique identifier for this Verifier root CA certificate.
certificatePem?stringDTS root CA certificate in PEM format.
certificateFingerprint?stringHash that includes all the Verifier root CA certificate data and its signature.
certificateData?active?booleanIndicates if the Verifier root CA certificate is active. Only active Verifier root CA certificates can be used to sign other intermediate certificates.
trueisManaged?booleanIndicates whether the private key for this Verifier root CA certificate is managed by MATTR (true) or out of band by the customer as an external certificate (false).
curl -X POST "https://example.com/v2/presentations/certificates/ca" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----", "certificateFingerprint": "a3b2c1d4e5f60718293a4b5c6d7e8f90123456789abcdef0123456789abcdef0", "certificateData": { "commonName": "Example Verifier", "country": "US", "notAfter": "2024-10-22T00:00:00Z", "notBefore": "2023-10-22T00:00:00Z", "organisationName": "Example Organization" }, "active": true, "isManaged": true}How would you rate this page?